%define _hardened_build 1
Name:		etherbat
Version:	1.0.1
Release:	16%{?dist}
Summary:	Ethernet topology discovery

Group:		Applications/Internet
License:	GPLv2
URL:		http://www.cryptonix.org/projects/etherbat/
Source0:	https://launchpad.net/etherbat/1.0.x/1.0.1/+download/etherbat-1.0.1.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libnet-devel, libpcap-devel, glib2-devel

Requires:	ruby

%description
Etherbat performs Ethernet topology discovery between 3 hosts: the machine
running Etherbat and two other devices.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -D -m 755 -p eb-sniffer $RPM_BUILD_ROOT%{_bindir}
install -D -m 755 -p eb-injector $RPM_BUILD_ROOT%{_bindir}
install -D -m 755 -p etherbat $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.html tests.html style.css
%{_bindir}/eb-sniffer
%{_bindir}/eb-injector
%{_bindir}/etherbat

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Jon Ciesla <limburgher@gmail.com> - 1.0.1-11
- Fix URL.
- Add hardened build.

* Fri Mar 30 2012 Jon Ciesla <limburgher@gmail.com> - 1.0.1-10
- libnet rebuild.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 28 2009 Mahavir Jain <mjain@marvell.com> 1.0.1-7
- Build etherbat dynamically as libnet-devel 1.3 provides libnet.so.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 08 2008 Jon Ciesla <limb@jcomserv.net> 1.0.1-4
- GCC 4.3 rebuild.

* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> 1.0.1-3
- License tag correction.

* Tue Jun 12 2007 Jon Ciesla <limb@jcomserv.net> 1.0.1-2
- Fixed optflags for 64-bit build.

* Thu May 31 2007 Jon Ciesla <limb@jcomserv.net> 1.0.1-1
- Patch removed, static libnet issue fixed upstream.

* Thu May 31 2007 Jon Ciesla <limb@jcomserv.net> 1.0.0-1
- Initial packaging.
